Core - Bug # 67116

Status: Resolved Priority: Must have
Author: Harald no-lastname-given Category: Content Rendering
Created: 2015-05-23 Assigned To: Markus Klein
Updated: 2015-05-24 Due date:

TYPO3 Version: 6.2

PHP Version: 5.5

Complexity: no-brainer

Is Regression: No

Sprint Focus: Stabilization Sprint

Subject: Plugin templates are always loaded twice!?

Description

Hello developers!

| do not understand the following!

In an installation with TYPO3 version 6.2.12, | import via the "ext_localconf.php”" my extension a TS template which is a function of an
installed extension.

if (\TYPO3\CMS\Core\Utility\ExtensionManagementULtility::isLoaded('indexed_search', $exitOnError = FALSE) ) { # Setup
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTypoScript($_EXTKEY,
'setup’,'<INCLUDE_TYPOSCRIPT: source="FILE:EXT:blaaaaaa/Resources/Private/Extensions/indexed_search/Setup.ts">',
defaultContentRendering

);

If I now in the "Template Analyzer" click on the "EXT css_styled_content/static/" and all the way down sroll - after css_styled
template, the embedded TS-Template will appear twice in a row?

And from the TYPO3 version 7.2.0 not only my TS-Template will appear twice in a row, but also all loaded System-Extension
Templates!

| have also checked in a basic installation with no additional configurations. See it in the supplied images.

Is that normal?

Thank you

Harald

Related issues:
related to Core - Task # 55942: More robust way of appending TypoScript to co... Resolved 2014-02-12

Associated revisions

Revision ¢28a8f37 - 2015-05-24 13:31 - Markus Klein

[BUGFIX] Don't add TypoScript twice to defaultContentRendering
Calling the addTypoScript() method with last parameter set to
'defaultContentRendering' must not add the TypoScript twice.

Resolves: #67116

Releases: master, 6.2

Change-Id: 13161c62ac0ab25369fabc3f8163e5d92356aa0ca
Reviewed-on: http://review.typo3.org/39680

Reviewed-by: Andreas Fernandez <typo3@scripting-base.de>

Reviewed-by: Stefan Neufeind <typo3.neufeind@speedpartner.de>

Reviewed-by: Helmut Hummel <helmut.hummel@typo3.org>

Tested-by: Helmut Hummel <helmut.hummel@typo3.org>

Reviewed-by: Stephan GroB3berndt <stephan@grossberndt.de>

Tested-by: Stefan Neufeind <typo3.neufeind@speedpartner.de>

Revision 8d3bc4ca - 2015-05-24 15:03 - Markus Klein

[BUGFIX] Don't add TypoScript twice to defaultContentRendering

Calling the addTypoScript() method with last parameter set to
'defaultContentRendering' must not add the TypoScript twice.

Resolves: #67116

Releases: master, 6.2

Change-Id: 13161c62ac0ab25369fabc3f8163e5d92356aa0ca
Reviewed-on: http://review.typo3.org/39683

Reviewed-by: Markus Klein <markus.klein@typo3.org>

Tested-by: Markus Klein <markus.klein@typo3.org>

History

#1 - 2015-05-23 17:17 - Markus Klein
- Target version deleted (7.2 (Frontend))

#2 - 2015-05-23 17:22 - Markus Klein

- Status changed from New to Accepted
- Target version set to 7.3 (Packages)

- Complexity set to medium

- Sprint Focus set to Stabilization Sprint

Thanks for the report, | can confirm that extensions are shown twice. We have to investigate whether these are only shown twice, or if they are actually
stored twice into the cache.

#3 - 2015-05-23 19:12 - Markus Klein
- Assigned To set to Markus Klein
- Complexity changed from medium to no-brainer

Problem was introduced with https://review.typo3.org/#/c/27587/5/typo3/sysext/core/Classes/Utility/ExtensionManagementUtility.php

2015-08-04 2/3


http://review.typo3.org/39680
mailto:typo3@scripting-base.de
mailto:typo3.neufeind@speedpartner.de
mailto:helmut.hummel@typo3.org
mailto:helmut.hummel@typo3.org
mailto:stephan@grossberndt.de
mailto:typo3.neufeind@speedpartner.de
http://review.typo3.org/39683
mailto:markus.klein@typo3.org
mailto:markus.klein@typo3.org
https://review.typo3.org/#/c/27587/5/typo3/sysext/core/Classes/Utility/ExtensionManagementUtility.php

#4 - 2015-05-23 19:13 - Markus Klein
- Target version changed from 7.3 (Packages) to 6.2.13
- TYPOS3 Version changed from 7 to 6.2

#5 - 2015-05-23 19:14 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.0rg/39680

#6 - 2015-05-23 19:24 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.0rg/39680

#7 - 2015-05-24 13:32 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.0org/39683

#8 - 2015-05-24 14:01 - Markus Klein
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:c28a8f372d74e095a934e4d4e789345fb35d7722.
